All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl_private.hpp File Reference
`#include <stdlib.h>`
`#include "viennacl.hpp"`

Go to the source code of this file.

## Classes

struct | ViennaCLCUDABackend_impl
struct | ViennaCLOpenCLBackend_impl
struct | ViennaCLHostBackend_impl
struct | ViennaCLBackend_impl
| Generic backend for CUDA, OpenCL, host-based stuff. More...
struct | ViennaCLHostScalar_impl
struct | ViennaCLScalar_impl
struct | ViennaCLVector_impl
struct | ViennaCLMatrix_impl